
From: Dave Hansen <haveblue@us.ibm.com>

This will at least suppress one prompt that users would have received the
first time they compile with the new DISCONTIG arch option.  They'll still
get the "Memory Model" prompt, but 99% of them will have the default work
there.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/alpha/defconfig                 |    2 +-
 25-akpm/arch/ia64/configs/sn2_defconfig      |    2 +-
 25-akpm/arch/ia64/defconfig                  |    2 +-
 25-akpm/arch/mips/configs/ip27_defconfig     |    2 +-
 25-akpm/arch/ppc64/configs/pSeries_defconfig |    2 +-
 25-akpm/arch/ppc64/defconfig                 |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

diff -puN arch/alpha/defconfig~update-all-defconfigs-for-arch_discontigmem_enable arch/alpha/defconfig
--- 25/arch/alpha/defconfig~update-all-defconfigs-for-arch_discontigmem_enable	Mon Apr  4 15:21:19 2005
+++ 25-akpm/arch/alpha/defconfig	Mon Apr  4 15:21:19 2005
@@ -96,7 +96,7 @@ CONFIG_ALPHA_CORE_AGP=y
 CONFIG_ALPHA_BROKEN_IRQ_MASK=y
 CONFIG_EISA=y
 # CONFIG_SMP is not set
-# CONFIG_DISCONTIGMEM is not set
+# CONFIG_ARCH_DISCONTIGMEM_ENABLE is not set
 CONFIG_VERBOSE_MCHECK=y
 CONFIG_VERBOSE_MCHECK_ON=1
 CONFIG_PCI_LEGACY_PROC=y
diff -puN arch/ia64/configs/sn2_defconfig~update-all-defconfigs-for-arch_discontigmem_enable arch/ia64/configs/sn2_defconfig
--- 25/arch/ia64/configs/sn2_defconfig~update-all-defconfigs-for-arch_discontigmem_enable	Mon Apr  4 15:21:19 2005
+++ 25-akpm/arch/ia64/configs/sn2_defconfig	Mon Apr  4 15:21:19 2005
@@ -78,7 +78,7 @@ CONFIG_IA64_L1_CACHE_SHIFT=7
 CONFIG_NUMA=y
 CONFIG_VIRTUAL_MEM_MAP=y
 CONFIG_HOLES_IN_ZONE=y
-CONFIG_DISCONTIGMEM=y
+CONFIG_ARCH_DISCONTIGMEM_ENABLE=y
 # CONFIG_IA64_CYCLONE is not set
 CONFIG_IOSAPIC=y
 CONFIG_IA64_SGI_SN_SIM=y
diff -puN arch/ia64/defconfig~update-all-defconfigs-for-arch_discontigmem_enable arch/ia64/defconfig
--- 25/arch/ia64/defconfig~update-all-defconfigs-for-arch_discontigmem_enable	Mon Apr  4 15:21:19 2005
+++ 25-akpm/arch/ia64/defconfig	Mon Apr  4 15:21:19 2005
@@ -77,7 +77,7 @@ CONFIG_IA64_PAGE_SIZE_16KB=y
 CONFIG_IA64_L1_CACHE_SHIFT=7
 CONFIG_NUMA=y
 CONFIG_VIRTUAL_MEM_MAP=y
-CONFIG_DISCONTIGMEM=y
+CONFIG_ARCH_DISCONTIGMEM_ENABLE=y
 CONFIG_IA64_CYCLONE=y
 CONFIG_IOSAPIC=y
 CONFIG_FORCE_MAX_ZONEORDER=18
diff -puN arch/mips/configs/ip27_defconfig~update-all-defconfigs-for-arch_discontigmem_enable arch/mips/configs/ip27_defconfig
--- 25/arch/mips/configs/ip27_defconfig~update-all-defconfigs-for-arch_discontigmem_enable	Mon Apr  4 15:21:19 2005
+++ 25-akpm/arch/mips/configs/ip27_defconfig	Mon Apr  4 15:21:19 2005
@@ -82,7 +82,7 @@ CONFIG_STOP_MACHINE=y
 # CONFIG_SGI_IP22 is not set
 CONFIG_SGI_IP27=y
 # CONFIG_SGI_SN0_N_MODE is not set
-CONFIG_DISCONTIGMEM=y
+CONFIG_ARCH_DISCONTIGMEM_ENABLE=y
 CONFIG_NUMA=y
 # CONFIG_MAPPED_KERNEL is not set
 # CONFIG_REPLICATE_KTEXT is not set
diff -puN arch/ppc64/configs/pSeries_defconfig~update-all-defconfigs-for-arch_discontigmem_enable arch/ppc64/configs/pSeries_defconfig
--- 25/arch/ppc64/configs/pSeries_defconfig~update-all-defconfigs-for-arch_discontigmem_enable	Mon Apr  4 15:21:19 2005
+++ 25-akpm/arch/ppc64/configs/pSeries_defconfig	Mon Apr  4 15:21:19 2005
@@ -82,7 +82,7 @@ CONFIG_IBMVIO=y
 CONFIG_IOMMU_VMERGE=y
 CONFIG_SMP=y
 CONFIG_NR_CPUS=128
-CONFIG_DISCONTIGMEM=y
+CONFIG_ARCH_DISCONTIGMEM_ENABLE=y
 CONFIG_NUMA=y
 CONFIG_SCHED_SMT=y
 # CONFIG_PREEMPT is not set
diff -puN arch/ppc64/defconfig~update-all-defconfigs-for-arch_discontigmem_enable arch/ppc64/defconfig
--- 25/arch/ppc64/defconfig~update-all-defconfigs-for-arch_discontigmem_enable	Mon Apr  4 15:21:19 2005
+++ 25-akpm/arch/ppc64/defconfig	Mon Apr  4 15:21:19 2005
@@ -84,7 +84,7 @@ CONFIG_BOOTX_TEXT=y
 CONFIG_IOMMU_VMERGE=y
 CONFIG_SMP=y
 CONFIG_NR_CPUS=32
-CONFIG_DISCONTIGMEM=y
+CONFIG_ARCH_DISCONTIGMEM_ENABLE=y
 # CONFIG_NUMA is not set
 # CONFIG_SCHED_SMT is not set
 # CONFIG_PREEMPT is not set
_
